import Tool from '../Systems/Tool';
import { View , Text , Button , TextInput , StyleSheet} from 'react-native';
import { Icon } from 'react-native-elements'
import React from 'react';
import Library from 'trapilib/dist/lib';
let {
	CoreSystem,
	ViewSystem,
	ViewNode
} = Library; 


const styles = StyleSheet.create({
  container: {
    flex: 1,
    borderRadius: 4,
    borderWidth: 1,
    borderColor: '#d6d7da',
    alignItems: 'center',
    justifyContent: 'center',
  },
  text:{
  	flex:1,
  	backgroundColor:'red'
  }
});



export default class InsertForm extends Tool{
	constructor(){
		super()
	}


	editViewNode(VS,node){
		let View = null;
		if(!node ){
			return;
		}
		Object.keys(VS.views).map((key) => {
			
			if(VS.views[key].ViewTree.nodes[node.id]){
				View = key;
			}
		})
		let EditNode = new ViewNode(Math.random(),"ViewComp",{text:"Manipulationg the dom",style:styles})
		VS.views[View].addViewNode(EditNode,node)
	}


	render(){
		return(
			<View>
				<Button 
				title={<Icon  name='comment'
				color="#606060"
	  				/>}
				/>
				
			</View>
			)
	}
}

